

Cc: Mingming Cao <cmm@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ext3/balloc.c |   16 +++++++---------
 1 files changed, 7 insertions(+), 9 deletions(-)

diff -puN fs/ext3/balloc.c~ext3-reduce-allocate-with-reservation-lock-latencies-tidy fs/ext3/balloc.c
--- 25/fs/ext3/balloc.c~ext3-reduce-allocate-with-reservation-lock-latencies-tidy	2005-04-29 18:02:48.961012888 -0700
+++ 25-akpm/fs/ext3/balloc.c	2005-04-29 18:02:48.966012128 -0700
@@ -786,7 +786,7 @@ static int find_next_reservable_window(
 
 		prev = rsv;
 		next = rb_next(&rsv->rsv_node);
-		rsv = list_entry(next, struct ext3_reserve_window_node, rsv_node);
+		rsv = list_entry(next,struct ext3_reserve_window_node,rsv_node);
 
 		/*
 		 * Reached the last reservation, we can just append to the
@@ -817,11 +817,10 @@ static int find_next_reservable_window(
 	if ((prev != my_rsv) && (!rsv_is_empty(&my_rsv->rsv_window)))
 		rsv_window_remove(sb, my_rsv);
 
-	/* let's book the whole avaliable window for now
-	 * we will check the
-	 * disk bitmap later and then, if there are free block
-	 * then we adjust the window size if the it's
-	 * larger than requested.
+	/*
+	 * Let's book the whole avaliable window for now.  We will check the
+	 * disk bitmap later and then, if there are free blocks then we adjust
+	 * the window size if it's larger than requested.
 	 * Otherwise, we will remove this node from the tree next time
 	 * call find_next_reservable_window.
 	 */
@@ -986,9 +985,8 @@ retry:
 	 * check if the first free block is within the
 	 * free space we just reserved
 	 */
-	if ((start_block >= my_rsv->rsv_start) &&
-		  (start_block < my_rsv->rsv_end))
-		return 0;		/* succeed */
+	if (start_block >= my_rsv->rsv_start && start_block < my_rsv->rsv_end)
+		return 0;		/* success */
 	/*
 	 * if the first free bit we found is out of the reservable space
 	 * continue search for next reservable space,
_
